1

How I can upgrade Magento from 1.4 to 1.9? Is there any migration tool available?

Because when I upgrade 1.4 to 1.9 then at admin > customer when I click on particular customer row for edit then it is display following error :

a:5:{i:0;s:34:"Can't retrieve entity config: eav/";i:1;s:4915:"#0 /var/www/html/magento_1.9.3/app/code/core/Mage/Core/Model/Resource.php(282): Mage::throwException('Can't retrieve ...')

1

First, your version of 1.4 changed at 1.4.2. The Sales tables switched to flat after 1.4.2 so any upgrade pre 1.4.2 will need to be done more incrementally.

Next. You need to do this upgrade via the command line. Your modules and theme will most likely not work after this upgrade and depending on the number of sales records you have the upgrade could take quite a long time.

I would recommend first upgrading to 1.4.2, then upgrading to 1.7, then upgrading to 1.9.

I would recommend doing this on a test box on your local machine with lots of RAM and a decent CPU.

Finally, CLEAN all your log tables in the database.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.